# Simple Statistics

A JavaScript implementation of descriptive, regression, and inference statistics.

[![Circle CI](https://circleci.com/gh/simple-statistics/simple-statistics/tree/master.svg?style=svg)](https://circleci.com/gh/simple-statistics/simple-statistics/tree/master)
[![codecov.io](https://codecov.io/github/simple-statistics/simple-statistics/coverage.svg?branch=master)](https://codecov.io/github/simple-statistics/simple-statistics?branch=master)
[![npm version](https://badge.fury.io/js/simple-statistics.svg)](http://badge.fury.io/js/simple-statistics)

Implemented in literate JavaScript with no dependencies, designed to work
in all modern browsers (including IE) as well as in [node.js](https://nodejs.org/).

## :green_book: [API Documentation](http://simplestatistics.org/docs/)

## Installation

**Recommended**: for [node.js](https://nodejs.org/), [browserify](http://browserify.org/),
and/or [webpack](http://webpack.github.io/) users, install from npm:

    npm install simple-statistics

Script tag usage:

* `https://unpkg.com/simple-statistics@2.2.0/dist/simple-statistics.js`
* Minified: `https://unpkg.com/simple-statistics@2.2.0/dist/simple-statistics.min.js`

Bower:

* Bower: `https://unpkg.com/simple-statistics@2.2.0/bower.zip`

## Ports

* Python: [simplestatistics](https://github.com/sheriferson/simplestatistics) is an idiomatic implementation of basic statistical algorithms.

## Examples

* [Linear regression with simple-statistics and d3js](http://bl.ocks.org/3931800)
* [Jenks Natural Breaks with a choropleth map with d3js](http://bl.ocks.org/tmcw/4969184)
* Embedded statistics in a spreadsheet with nxsheet: [regression](https://nxsheet.com/sheets/56d0a87264e47ee60a95f652) and [stddev](https://nxsheet.com/sheets/56d55ca7743aea68490764ba)
